dcsimg
Linux Today: Linux News On Internet Time.




More on LinuxToday


Conectiva Linux Security Announcement: Zope

Jul 02, 2001, 19:30 (0 Talkback[s])
- --------------------------------------------------------------------------
CONECTIVA LINUX SECURITY ANNOUNCEMENT 
- --------------------------------------------------------------------------

PACKAGE   : Zope
SUMMARY   : Remote vulnerability
DATE      : 2001-06-30 15:50:00
ID        : CLA-2001:407
RELEVANT
RELEASES  : 4.2, 5.0, 5.1, 6.0

- -------------------------------------------------------------------------

DESCRIPTION
 The Zope authors have released a hotfix that addresses a
 vulnerability with ZClasses. Any user can visit a ZClass declaration
 and change the ZClass permission mappings for methods and other
 objects defined within the ZClass, possibly allowing for unauthorized
 access within the Zope instance.


SOLUTION
 It is recommended that all Zope users upgrade this software.
 
 IMPORTANT: it is necessary to restart the zope service after applying
 the update!
 
 
 REFERENCES
 1. http://www.zope.org/Products/Zope/Hotfix_2001-05-01/security_alert


DIRECT DOWNLOAD LINKS TO THE UPDATED PACKAGES
ftp://atualizacoes.conectiva.com.br/4.2/SRPMS/Zope-2.1.7-13U42_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/Zope-components-2.1.7-13U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/Zope-2.1.7-13U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/Zope-core-2.1.7-13U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/Zope-pcgi-2.1.7-13U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/Zope-services-2.1.7-13U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/Zope-ztemplates-2.1.7-13U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/Zope-zpublisher-2.1.7-13U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/SRPMS/Zope-2.1.7-13U50_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/Zope-pcgi-2.1.7-13U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/Zope-core-2.1.7-13U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/Zope-services-2.1.7-13U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/Zope-2.1.7-13U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/Zope-ztemplates-2.1.7-13U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/Zope-components-2.1.7-13U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/Zope-zpublisher-2.1.7-13U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/SRPMS/Zope-2.1.7-13U51_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/Zope-pcgi-2.1.7-13U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/Zope-ztemplates-2.1.7-13U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/Zope-components-2.1.7-13U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/Zope-zpublisher-2.1.7-13U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/Zope-core-2.1.7-13U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/Zope-services-2.1.7-13U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/Zope-2.1.7-13U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/SRPMS/Zope-2.1.7-13U60_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/Zope-2.1.7-13U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/Zope-pcgi-2.1.7-13U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/Zope-zpublisher-2.1.7-13U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/Zope-core-2.1.7-13U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/Zope-components-2.1.7-13U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/Zope-ztemplates-2.1.7-13U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/Zope-services-2.1.7-13U60_1cl.i386.rpm


ADDITIONAL INSTRUCTIONS
 Users of Conectiva Linux version 6.0 or higher may use apt to perform 
 upgrades of RPM packages:
 - add the following line to /etc/apt/sources.list if it is not there yet
   (you may also use linuxconf to do this):

 rpm [cncbr] ftp://atualizacoes.conectiva.com.br 6.0/conectiva updates

(replace 6.0 with the correct version number if you are not running CL6.0)

 - run:                 apt-get update
 - after that, execute: apt-get upgrade

 Detailed instructions reagarding the use of apt and upgrade examples 
 can be found at http://distro.conectiva.com.br/atualizacoes/#apt?idioma=en

Related Stories: